<?php
	session_start();
	//include_once('../config/Conexion');
	include '../config/conexion.php';

	if(isset($_POST['editar'])){
		$database = new Connection();
		$db = $database->open();
		try{
			$id = $_GET['id'];
			$nro_document = $_POST['nro_document'];
			$fullname = $_POST['fullname'];
            $direccion = $_POST['direccion'];
            $fecha_ingreso = $_POST['fecha_ingreso'];
            $fecha_nacimiento = $_POST['fecha_nacimiento'];
            $rol = $_POST['rol'];
            $nro_contacto = $_POST['nro_contacto'];


			$sql = "UPDATE usuarios SET nro_document = '$nro_document',
			 fullname = '$fullname', 
             direccion = '$direccion', 
             fecha_ingreso = '$fecha_ingreso', 
             fecha_nacimiento = '$fecha_nacimiento', 
             rol = '$rol', 
             nro_contacto = '$nro_contacto' 
             WHERE id = '$id'";
			//if-else statement in executing our query
			$_SESSION['message'] = ( $db->exec($sql) ) ? 'Usuario Actualizado correctamente' : 'User actualizado!';

		}
		catch(PDOException $e){
			$_SESSION['message'] = $e->getMessage();
		}

		//Cerrar la conexión
		$database->close();
	}
	else{
		$_SESSION['message'] = 'Complete el formulario de edición';
	}

	header('location: ../views/usuario');

?>